%define url_ver %(echo %{version} | cut -c 1-4)

Summary:	Subtitle editor
Name:		subtitleeditor
Version:	0.41.0
Release:	%mkrel 2
Group:		Video/Editors and Converters
License:	GPLv3+
URL:		http://home.gna.org/subtitleeditor/
Source:		http://download.gna.org/subtitleeditor/%{url_ver}/%{name}-%{version}.tar.gz
BuildRequires: ccache
BuildRequires: gettext
BuildRequires: glibc-devel
BuildRequires: gstreamer0.10-plugins-good
BuildRequires: intltool
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkgconfig(atk)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(cairomm-1.0)
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(enchant)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(glibmm-2.4)
BuildRequires: pkgconfig(glitz)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(gstreamer-0.10)
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires: pkgconfig(gstreamermm-0.10) >= 0.10.6
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtkglext-1.0)
BuildRequires: pkgconfig(gtkglextmm-1.2)
BuildRequires: pkgconfig(gtkmm-2.4)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(libglademm-2.4)
BuildRequires: pkgconfig(libpng12)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxml++-2.6)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(sigc++-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xau)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(xdmcp)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(zlib)
Requires:	iso-codes
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-ffmpeg
Requires:	mplayer

%description
Subtitle Editor is a GTK+2 tool to edit subtitles.

It can be used for new subtitles or as a tool to transform, edit, correct and
refine existing subtitle. This program also shows sound waves, which makes it 
easier to synchronise subtitles to voices.

%prep
%setup -q

%build
%configure2_5x \
  --disable-debug \
  --disable-static \
  --enable-gl \
  --enable-ccache
%make

%install
%makeinstall_std

%find_lang %{name}

# we don't ship devel files for now
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.so' -delete

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/subtitleeditor
%{_libdir}/*.so.*
%{_libdir}/%name
%{_datadir}/applications/subtitleeditor.desktop
%{_datadir}/subtitleeditor
%{_mandir}/man1/*.1.*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/subtitleeditor.svg


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.41.0-2.mga4
+ Revision: 531725
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 fwang <fwang> 0.41.0-1.mga4
+ Revision: 464846
- update rpm group
- cleanup spec
- new version 0.41.0
- new version 0.40.0

  + gil <gil>
    - update to 0.39.0

  + ennael <ennael>
    - clean spec file
    - imported package subtitleeditor


* Sat Aug 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.37.1-1mdv2011.0
+ Revision: 567408
- update to new version 0.37.1

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 0.36.2-1mdv2010.1
+ Revision: 532064
- update to new version 0.36.2

* Thu Mar 25 2010 Funda Wang <fwang@mandriva.org> 0.36.1-1mdv2010.1
+ Revision: 527404
- update to new version 0.36.1

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 0.36.0-1mdv2010.1
+ Revision: 499587
- update to new version 0.36.0

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 0.35.1-1mdv2010.1
+ Revision: 485133
- update to new version 0.35.1

* Sat Nov 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.34.0-1mdv2010.1
+ Revision: 468053
- update to new version 0.34.0
- add buildrequires on libgstreamermm-devel
- fix url

* Sun Jun 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.33.0-1mdv2010.0
+ Revision: 390412
- update to new version 0.33.0

* Wed Jun 03 2009 Funda Wang <fwang@mandriva.org> 0.32.0-1mdv2010.0
+ Revision: 382449
- update file list
- New version 0.32.0

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.31.0-1mdv2010.0
+ Revision: 369364
- New version 0.31.0

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.30.0-1mdv2009.1
+ Revision: 308481
- fix file list
- add libtool as BR
- new version 0.30.0

* Mon Nov 03 2008 Funda Wang <fwang@mandriva.org> 0.26.0-1mdv2009.1
+ Revision: 299335
- New version 0.26.0

* Tue Oct 14 2008 Funda Wang <fwang@mandriva.org> 0.25.0-1mdv2009.1
+ Revision: 293444
- New version 0.25.0
- no need to modify categories now

* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.24.1-1mdv2009.1
+ Revision: 289042
- update to new version 0.24.1
- update to new version 0.24.0
- update to new version 0.23.0

* Thu Aug 14 2008 Funda Wang <fwang@mandriva.org> 0.22.3-1mdv2009.0
+ Revision: 272088
- BR intltool
- New version 0.22.3

* Tue Aug 12 2008 Funda Wang <fwang@mandriva.org> 0.22.2-1mdv2009.0
+ Revision: 271154
- New version 0.22.2

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.22.1-1mdv2009.0
+ Revision: 270628
- update to new verion 0.22.1

  + Funda Wang <fwang@mandriva.org>
    - New version 0.22.0

* Wed Jun 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.21.3-1mdv2009.0
+ Revision: 228885
- update to new version 0.21.3

* Mon Jun 16 2008 Funda Wang <fwang@mandriva.org> 0.21.2-1mdv2009.0
+ Revision: 219627
- add manpage
- New version 0.21.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.21.1-1mdv2009.0
+ Revision: 209603
- update to new version 0.21.1

* Tue May 13 2008 Funda Wang <fwang@mandriva.org> 0.21.0-1mdv2009.0
+ Revision: 206519
- New version 0.21.0

* Tue Apr 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.20.0-2mdv2009.0
+ Revision: 196575
- add requires on gstreamer0.10-ffmpeg

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.20.0-1mdv2009.0
+ Revision: 196319
- add source and spec file
- Created package structure for subtitleeditor.

